.NET
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Exception during GetPoint function

3 REPLIES 3
Reply
Message 1 of 4
ViaVitae
410 Views, 3 Replies

Exception during GetPoint function

I've aded this event

ed.PointFilter += new Autodesk.AutoCAD.EditorInput.PointFilterEventHandler(psRoomConnector_PointFilter);

and than call this function

Autodesk.AutoCAD.EditorInput.PromptPointResult ppr = ed.GetPoint(ppo);

psRoomConnector_PointFilter function generates Exception. If exception is generated than GetPoint finction doesn't finish correctly and autocad get in some undetermined state.

How to cancel getPoint function if exception was generated? or how to solve this situation?
3 REPLIES 3
Message 2 of 4
Anonymous
in reply to: ViaVitae

{quote}

psRoomConnector_PointFilter function generates Exception.

{quote}

Are you asking us to guess why it is throwing an error?

I don't think anyone can help you because we can't guess
what your code is doing wrong.

--
http://www.caddzone.com

AcadXTabs: MDI Document Tabs for AutoCAD
Supporting AutoCAD 2000 through 2010

http://www.acadxtabs.com

Email: string.Format("{0}@{1}.com", "tonyt", "caddzone");

wrote in message news:6269306@discussion.autodesk.com...
I've aded this event

ed.PointFilter += new
Autodesk.AutoCAD.EditorInput.PointFilterEventHandler(psRoomConnector_PointFilter);

and than call this function

Autodesk.AutoCAD.EditorInput.PromptPointResult ppr = ed.GetPoint(ppo);

psRoomConnector_PointFilter function generates Exception. If exception is
generated than GetPoint finction doesn't finish correctly and autocad get in
some undetermined state.

How to cancel getPoint function if exception was generated? or how to solve
this situation?
Message 3 of 4
ViaVitae
in reply to: ViaVitae

No, I'm asking how to cancel getPoint function.
In other words if I start GetPoint function and than press Esc in Autocad, this function will be terminated. How to do it in C#? Edited by: ViaVitae on Oct 10, 2009 10:05 AM
Message 4 of 4
Anonymous
in reply to: ViaVitae

There's no way to cancel a GetPoint() other than by sending ^C/ESCape to the
command line.


--
http://www.caddzone.com

AcadXTabs: MDI Document Tabs for AutoCAD
Supporting AutoCAD 2000 through 2010

http://www.acadxtabs.com

Email: string.Format("{0}@{1}.com", "tonyt", "caddzone");

wrote in message news:6269312@discussion.autodesk.com...
No, I'm asking how to cancel getPoint function.
In other words if I start GetPoint function and than press Esc in Autocad,
this function will be terminated. How to do it in C#?

Edited by: ViaVitae on Oct 10, 2009 10:05 AM

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk DevCon in Munich May 28-29th


Autodesk Design & Make Report

”Boost